## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanTranscodingServices::UnrepresentableCharacterException Class Reference

`#include <XalanTranscodingServices.hpp>`

Inheritance diagram for XalanTranscodingServices::UnrepresentableCharacterException:

[legend]
Collaboration diagram for XalanTranscodingServices::UnrepresentableCharacterException:

[legend]
List of all members.

## Public Methods

- UnrepresentableCharacterException (UnicodeCharType theCharacter, const XalanDOMString &theEncoding, XalanDOMString &theBuffer)
- virtual ~UnrepresentableCharacterException ()
- UnicodeCharType getCharacter () const
- const XalanDOMString& getEncoding () const
- virtual const XalanDOMChar* getType () const
    Retrieve type of exception. More...

## Constructor & Destructor Documentation

XalanTranscodingServices::UnrepresentableCharacterException::UnrepresentableCharacterException ( | UnicodeCharType theCharacter,
| const XalanDOMString & theEncoding,
| XalanDOMString & theBuffer )

XalanTranscodingServices::UnrepresentableCharacterException::~UnrepresentableCharacterException ( | )`[virtual]`

## Member Function Documentation

UnicodeCharType XalanTranscodingServices::UnrepresentableCharacterException::getCharacter ( | ) const

const XalanDOMString & XalanTranscodingServices::UnrepresentableCharacterException::getEncoding ( | ) const

const XalanDOMChar * XalanTranscodingServices::UnrepresentableCharacterException::getType ( | ) const`[virtual]`

| Retrieve type of exception. Returns: type of exception Reimplemented from XSLException.

The documentation for this class was generated from the following file:

- XalanTranscodingServices.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.